summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Erik Hanson2013-12-29 21:03:19 +0100
committer Erik Hanson2014-01-07 18:13:06 +0100
commitc6b6a9d1f4e7347bdf52cffde5c62ddb3c44da3c (patch)
tree44562fd3fd4e646f15e5a4de06feeab739157685 /audio
parentf13893a241bd35d5494d1609bb0824eb95f7be73 (diff)
downloadslackbuilds-c6b6a9d1f4e7347bdf52cffde5c62ddb3c44da3c.tar.gz
audio/google-musicmanager: Added (Google Music Uploader/Downloader).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/google-musicmanager/README5
-rw-r--r--audio/google-musicmanager/google-musicmanager.SlackBuild98
-rw-r--r--audio/google-musicmanager/google-musicmanager.info10
-rw-r--r--audio/google-musicmanager/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/audio/google-musicmanager/README b/audio/google-musicmanager/README
new file mode 100644
index 0000000000..6f9fcff400
--- /dev/null
+++ b/audio/google-musicmanager/README
@@ -0,0 +1,5 @@
+Google Music Manager is a simple application for uploading and
+downloading music files to/from your Google Music library.
+
+Note: When a new version is released, the downloads will change and
+the md5sums won't match.
diff --git a/audio/google-musicmanager/google-musicmanager.SlackBuild b/audio/google-musicmanager/google-musicmanager.SlackBuild
new file mode 100644
index 0000000000..a6ab99baab
--- /dev/null
+++ b/audio/google-musicmanager/google-musicmanager.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for google-musicmanager
+
+# Written by Steven Pledger <spledger91@yahoo.com>
+# Based on google-chrome.SlackBuild from Slackware
+
+# Copyright 2009-2010,2013 Erik Hanson, Minneapolis, MN, USA
+# Copyright 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2011 Steven Pledger, Vacaville, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=google-musicmanager
+VERSION=${VERSION:-1.0.91.1050}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$(uname -m)" in
+ i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+RELEASE=${RELEASE:-beta} # stable, beta, or unstable
+# Get the version from the Debian/Ubuntu .deb (thanks to Fred Richards):
+SRCVER=$(ar p $PRGNAM-${RELEASE}_current_${DEBARCH}.deb control.tar.gz 2> /dev/null | tar zxO ./control 2> /dev/null | grep Version | awk '{print $2}' | cut -d- -f1)
+
+if [ "$VERSION" != "$SRCVER" ]; then
+ cat <<EOF
+WARNING: The source version ($SRCVER) does not match the VERSION variable ($VERSION).
+To build anyway, run the SlackBuild like this:
+
+ VERSION=$SRCVER ./$PRGNAM.SlackBuild
+
+exiting...
+EOF
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/$PRGNAM-${RELEASE}_current_${DEBARCH}.deb data.tar.lzma | lzma -d | tar xv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+# The cron job is for Debian/Ubuntu only:
+rm -rf etc
+
+# Nothing in here
+rm -rf usr/share/man
+
+# Install a .desktop launcher:
+sed -i -e "s#Icon=google-musicmanager#Icon=/opt/google/musicmanager/product_logo_128.png#" \
+ $PKG/opt/google/musicmanager/google-musicmanager.desktop
+mkdir -p $PKG/usr/share/applications
+ln -s /opt/google/musicmanager/google-musicmanager.desktop \
+ $PKG/usr/share/applications/google-musicmanager.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/google-musicmanager/google-musicmanager.info b/audio/google-musicmanager/google-musicmanager.info
new file mode 100644
index 0000000000..96b46b6eef
--- /dev/null
+++ b/audio/google-musicmanager/google-musicmanager.info
@@ -0,0 +1,10 @@
+PRGNAM="google-musicmanager"
+VERSION="1.0.91.1050"
+HOMEPAGE="http://music.google.com"
+DOWNLOAD="https://dl.google.com/linux/direct/google-musicmanager-beta_current_i386.deb"
+MD5SUM="ded63d6d8d889610903292e2419ed39a"
+DOWNLOAD_x86_64="https://dl.google.com/linux/direct/google-musicmanager-beta_current_amd64.deb"
+MD5SUM_x86_64="e97bdbad4f907e5d11d985da503e1fe8"
+REQUIRES=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
diff --git a/audio/google-musicmanager/slack-desc b/audio/google-musicmanager/slack-desc
new file mode 100644
index 0000000000..ee2b7fddee
--- /dev/null
+++ b/audio/google-musicmanager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+google-musicmanager: google-musicmanager (Uploader and downloader for Google Music)
+google-musicmanager:
+google-musicmanager: Google Music Manager is a simple application for uploading and
+google-musicmanager: downloading music files to/from your Google Music library.
+google-musicmanager:
+google-musicmanager:
+google-musicmanager:
+google-musicmanager:
+google-musicmanager:
+google-musicmanager:
+google-musicmanager: